## btag 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(btag)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0 -D_DEBUG")
endif(CMAKE_COMPILER_IS_GNUCXX)

find_package(Boost 1.42.0 COMPONENTS filesystem REQUIRED)

find_package(PkgConfig)
pkg_check_modules(TAGLIB REQUIRED taglib)

set(BTAG_SOURCES
    src/BasicStringFilter.cpp
    src/EnglishTitleLocalizationHandler.cpp
    src/InteractiveTagger.cpp
    src/main.cpp
    src/RenamingFilter.cpp
    src/SimpleCapitalizationFilter.cpp
    src/SpanishTitleLocalizationHandler.cpp
    src/StandardConsole.cpp
    src/TitleCapitalizationFilter.cpp
    src/TitleLocalizationHandler.cpp)

set(BTAG_HEADERS
    src/BasicStringFilter.h
    src/CapitalizationFilter.h
    src/ConservativeRenamingFilter.h
    src/EnglishTitleLocalizationHandler.h
    src/InteractiveTagger.h
    src/RenamingFilter.h
    src/SimpleCapitalizationFilter.h
    src/SpanishTitleLocalizationHandler.h
    src/StandardConsole.h
    src/TitleCapitalizationFilter.h
    src/TitleLocalizationHandler.h
    src/UnixRenamingFilter.h
    src/wide_string_cast.h)

include_directories(${Boost_INCLUDE_DIRS} ${TAGLIB_INCLUDE_DIRS})

add_executable(btag ${BTAG_SOURCES} ${BTAG_HEADERS})
target_link_libraries(btag ${Boost_LIBRARIES} ${TAGLIB_LIBRARIES})

install(TARGETS btag DESTINATION bin)

=== debian/changelog ===
btag (1.0.1-1ubuntu2) natty; urgency=low

  * boost-system.patch: library flag must be given after object file.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 08 Jan 2011 18:53:08 +0300

btag (1.0.1-1ubuntu1) natty; urgency=low

  *  debian/rules: added -lboost_system to LDFLAGS to force a fix link with
     libboost. This fixes a FTBFS with binutils-gold.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 09 Nov 2010 18:16:31 +0000

btag (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #594749)

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Tue, 05 Oct 2010 22:30:53 -0300

=== debian/control ===
Source: btag
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, pkg-config, libboost-dev, libboost-filesystem-dev, libtag1-dev
Standards-Version: 3.9.1
Homepage: http://github.com/fernandotcl/btag

Package: btag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive command-line based multimedia tag editor
 btag is an interactive utility for tagging multimedia files in batches.
 tries to automate most of the process by stripping away stray whitespace
 guessing the best capitalization style for the text fields and keeping
 state on the current album being tagged.
 .
 btag can change the capitalization of text fields even when those contain
 non-ASCII characters, relying on the standard library to perform the
 appropriate case conversions. It works on directories containing complete
 albums as well as on individual files.
 .
 All tag formats supported by TagLib should be supported by btag. This
 includes (among others) ID3v1 and ID3v2 tags found in MP3 files, Ogg
 Vorbis comments, ID3 tags and Vorbis comments in FLAC files.

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

%:
	dh $@

=== debian/watch ===
version=3
opts=filenamemangle=s/.*release/btag/,versionmangle=s/release-// \
    http://githubredir.debian.net/github/fernandotcl/btag .*/release-(.*).tar.gz

## btag 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,19 +2,18 @@
 project(btag)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
-    set(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
-    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
-    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0 -D_DEBUG")
+    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0")
 endif(CMAKE_COMPILER_IS_GNUCXX)
 
-find_package(Boost 1.42.0 COMPONENTS filesystem REQUIRED)
+find_package(Boost 1.46.0 COMPONENTS filesystem system REQUIRED)
 
 find_package(PkgConfig)
 pkg_check_modules(TAGLIB REQUIRED taglib)
 
 set(BTAG_SOURCES
     src/BasicStringFilter.cpp
+    src/ConfirmationHandler.cpp
     src/EnglishTitleLocalizationHandler.cpp
     src/InteractiveTagger.cpp
     src/main.cpp
@@ -28,6 +27,7 @@
 set(BTAG_HEADERS
     src/BasicStringFilter.h
     src/CapitalizationFilter.h
+    src/ConfirmationHandler.h
     src/ConservativeRenamingFilter.h
     src/EnglishTitleLocalizationHandler.h
     src/InteractiveTagger.h
@@ -46,3 +46,12 @@
 target_link_libraries(btag ${Boost_LIBRARIES} ${TAGLIB_LIBRARIES})
 
 install(TARGETS btag DESTINATION bin)
+
+set(CPACK_PACKAGE_VERSION_MAJOR "1")
+set(CPACK_PACKAGE_VERSION_MINOR "1")
+set(CPACK_PACKAGE_VERSION_PATCH "1")
+set(CPACK_SOURCE_GENERATOR "TGZ")
+set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
+set(CPACK_SOURCE_IGNORE_FILES "/.git;/.gitignore;${CPACK_SOURCE_IGNORE_FILES}")
+include(CPack)
+add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== debian/changelog ===
btag (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Sat, 09 Jul 2011 19:15:40 -0300

btag (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Fixes FTBFS with the linker changes in wheezy (Closes: #602959)
  * Fixes FTBFS with libboost-filesystem >=1.46.0
  * Build-depend on libboost-dev (>=1.46.0), libboost-filesystem-dev (>=1.46.0)
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Bump debhelper compat to 8 (no changed needed)
  * Updated copyright file, switched to DEP-5
  * Updated watch file

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Fri, 17 Jun 2011 20:50:31 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: btag
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake, pkg-config, libboost-dev, libboost-filesystem-dev, libtag1-dev
-Standards-Version: 3.9.1
+Maintainer: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
+Build-Depends: debhelper (>= 8), cmake, pkg-config, libboost-dev (>= 1.46.0), libboost-filesystem-dev (>= 1.46.0), libtag1-dev
+Standards-Version: 3.9.2
 Homepage: http://github.com/fernandotcl/btag
 
 Package: btag

## btag 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,9 +49,15 @@
 
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "1")
-set(CPACK_PACKAGE_VERSION_PATCH "1")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
 set(CPACK_SOURCE_GENERATOR "TGZ")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_IGNORE_FILES "/.git;/.gitignore;${CPACK_SOURCE_IGNORE_FILES}")
 include(CPack)
 add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+
+option(ENABLE_TESTS "Whether a \"make check\" target should be made available" OFF)
+if(ENABLE_TESTS)
+    enable_testing()
+    add_subdirectory(tests)
+endif(ENABLE_TESTS)

=== tests/CMakeLists.txt ===
include_directories(${Boost_INCLUDE_DIRS} ${PROJECT_SOURCE_DIR}/src)

add_executable(
    EnglishTitleCapitalizationTest
    EnglishTitleCapitalization.cpp
    ${PROJECT_SOURCE_DIR}/src/BasicStringFilter.cpp
    ${PROJECT_SOURCE_DIR}/src/BasicStringFilter.h
    ${PROJECT_SOURCE_DIR}/src/CapitalizationFilter.h
    ${PROJECT_SOURCE_DIR}/src/EnglishTitleLocalizationHandler.cpp
    ${PROJECT_SOURCE_DIR}/src/EnglishTitleLocalizationHandler.h
    ${PROJECT_SOURCE_DIR}/src/TitleCapitalizationFilter.cpp
    ${PROJECT_SOURCE_DIR}/src/TitleCapitalizationFilter.h
    ${PROJECT_SOURCE_DIR}/src/TitleLocalizationHandler.cpp
    ${PROJECT_SOURCE_DIR}/src/TitleLocalizationHandler.h
)
target_link_libraries(EnglishTitleCapitalizationTest ${Boost_LIBRARIES})
add_test(EnglishTitleCapitalizationTest ${PROJECT_BINARY_DIR}/tests/EnglishTitleCapitalizationTest)

add_executable(
    SpanishTitleCapitalizationTest
    SpanishTitleCapitalization.cpp
    ${PROJECT_SOURCE_DIR}/src/BasicStringFilter.cpp
    ${PROJECT_SOURCE_DIR}/src/BasicStringFilter.h
    ${PROJECT_SOURCE_DIR}/src/CapitalizationFilter.h
    ${PROJECT_SOURCE_DIR}/src/SpanishTitleLocalizationHandler.cpp
    ${PROJECT_SOURCE_DIR}/src/SpanishTitleLocalizationHandler.h
    ${PROJECT_SOURCE_DIR}/src/TitleCapitalizationFilter.cpp
    ${PROJECT_SOURCE_DIR}/src/TitleCapitalizationFilter.h
    ${PROJECT_SOURCE_DIR}/src/TitleLocalizationHandler.cpp
    ${PROJECT_SOURCE_DIR}/src/TitleLocalizationHandler.h
)
target_link_libraries(SpanishTitleCapitalizationTest ${Boost_LIBRARIES})
add_test(SpanishTitleCapitalizationTest ${PROJECT_BINARY_DIR}/tests/SpanishTitleCapitalizationTest)

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure)

=== debian/changelog ===
btag (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Set homepage to the HTTPS address (GitHub defaults to HTTPS)
  * Build-depend on unversioned libboost-dev, we only need
    libboost-filesystem-dev >=1.46.0 for the v3 API
  * Use dpkg-buildflags for hardened build flags, including -fPIE
  * Build-depend on dpkg-dev >= 1.16.1 (for buildflags.mk)
  * Build and run package tests

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Sat, 03 Dec 2011 15:57:56 -0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>
-Build-Depends: debhelper (>= 8), cmake, pkg-config, libboost-dev (>= 1.46.0), libboost-filesystem-dev (>= 1.46.0), libtag1-dev
+Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 8), cmake, pkg-config, libboost-dev, libboost-filesystem-dev (>= 1.46.0), libtag1-dev
 Standards-Version: 3.9.2
-Homepage: http://github.com/fernandotcl/btag
+Homepage: https://github.com/fernandotcl/btag
 
 Package: btag
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS = "hardening=+pie"
include /usr/share/dpkg/buildflags.mk

EXTRA_CMAKE_FLAGS =
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
EXTRA_CMAKE_FLAGS = -DENABLE_TESTS=1
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_FLAGS)

## btag 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
 project(btag)
 
-if(CMAKE_COMPILER_IS_GNUCXX)
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER MATCHES clang\\+\\+)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror")
     set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS} -ggdb -O0")
-endif(CMAKE_COMPILER_IS_GNUCXX)
+endif(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER MATCHES clang\\+\\+)
 
 find_package(Boost 1.46.0 COMPONENTS filesystem system REQUIRED)
 
@@ -49,7 +49,7 @@
 
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "1")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_PATCH "3")
 set(CPACK_SOURCE_GENERATOR "TGZ")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_IGNORE_FILES "/.git;/.gitignore;${CPACK_SOURCE_IGNORE_FILES}")

=== tests/CMakeLists.txt ===
include_directories(${Boost_INCLUDE_DIRS} ${PROJECT_SOURCE_DIR}/src)

add_executable(
    english_titles_test
    english_titles.cpp
    titles_base.cpp
    titles_base.h
    ${PROJECT_SOURCE_DIR}/src/BasicStringFilter.cpp
    ${PROJECT_SOURCE_DIR}/src/BasicStringFilter.h
    ${PROJECT_SOURCE_DIR}/src/CapitalizationFilter.h
    ${PROJECT_SOURCE_DIR}/src/EnglishTitleLocalizationHandler.cpp
    ${PROJECT_SOURCE_DIR}/src/EnglishTitleLocalizationHandler.h
    ${PROJECT_SOURCE_DIR}/src/TitleCapitalizationFilter.cpp
    ${PROJECT_SOURCE_DIR}/src/TitleCapitalizationFilter.h
    ${PROJECT_SOURCE_DIR}/src/TitleLocalizationHandler.cpp
    ${PROJECT_SOURCE_DIR}/src/TitleLocalizationHandler.h
)
target_link_libraries(english_titles_test ${Boost_LIBRARIES})
add_test(english_titles_test
    ${PROJECT_BINARY_DIR}/tests/english_titles_test
    ${PROJECT_SOURCE_DIR}/tests/data/english_titles.txt)

add_executable(
    spanish_titles_test
    spanish_titles.cpp
    titles_base.cpp
    titles_base.h
    ${PROJECT_SOURCE_DIR}/src/BasicStringFilter.cpp
    ${PROJECT_SOURCE_DIR}/src/BasicStringFilter.h
    ${PROJECT_SOURCE_DIR}/src/CapitalizationFilter.h
    ${PROJECT_SOURCE_DIR}/src/SpanishTitleLocalizationHandler.cpp
    ${PROJECT_SOURCE_DIR}/src/SpanishTitleLocalizationHandler.h
    ${PROJECT_SOURCE_DIR}/src/TitleCapitalizationFilter.cpp
    ${PROJECT_SOURCE_DIR}/src/TitleCapitalizationFilter.h
    ${PROJECT_SOURCE_DIR}/src/TitleLocalizationHandler.cpp
    ${PROJECT_SOURCE_DIR}/src/TitleLocalizationHandler.h
)
target_link_libraries(spanish_titles_test ${Boost_LIBRARIES})
add_test(spanish_titles_test
    ${PROJECT_BINARY_DIR}/tests/spanish_titles_test
    ${PROJECT_SOURCE_DIR}/tests/data/spanish_titles.txt)

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure)

=== debian/changelog ===
btag (1.1.3-1build2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 09:47:36 +0100

btag (1.1.3-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:40 +0100

btag (1.1.3-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.3 (no changes needed)
  * Fixed the copyright format URL in debian/copyright
  * Bumped the copyright years in debian/copyright
  * Formatted debian/control with wrap-and-sort
  * Imported changes from a patch submitted by Simon Ruderich (thanks!) to
    enable all hardening flags and copy CPPFLAGS into CFLAGS/CXXFLAGS since
    CMake doesn't use CPPFLAGS (Closes: #662970)

 -- Fernando Tarlá Cardoso Lemos <fernandotcl@gmail.com>  Wed, 07 Mar 2012 22:50:32 -0300

=== debian/watch ===
version=3
https://github.com/fernandotcl/btag/downloads /downloads/fernandotcl/btag/btag-(.*).tar.gz

## btag 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(btag)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

if(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif(CMAKE_COMPILER_IS_GNUCXX OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")

list(APPEND CMAKE_PREFIX_PATH /usr/local)
find_package(Boost 1.49.0 COMPONENTS filesystem locale system REQUIRED)

find_package(TagLib REQUIRED)
find_package(LibEdit REQUIRED)

option(CUESHEET_SUPPORT "Support for reading metadata from cue sheets" ON)
if(CUESHEET_SUPPORT)
    find_package(LibCue REQUIRED)
    find_package(Iconv REQUIRED)
    set(EXTRA_LIBRARIES ${EXTRA_LIBRARIES} ${LIBCUE_LIBRARIES} ${Iconv_LIBRARIES})
endif(CUESHEET_SUPPORT)

set(PROGRAM_NAME ${PROJECT_NAME})

set(BTAG_SOURCES
    src/BasicStringFilter.cpp
    src/ConfirmationHandler.cpp
    src/EnglishTitleLocalizationHandler.cpp
    src/InteractiveTagger.cpp
    src/main.cpp
    src/RenamingFilter.cpp
    src/SimpleCapitalizationFilter.cpp
    src/SpanishTitleLocalizationHandler.cpp
    src/StandardConsole.cpp
    src/TitleCapitalizationFilter.cpp
    src/TitleLocalizationHandler.cpp)

set(BTAG_HEADERS
    ${CMAKE_CURRENT_BINARY_DIR}/src/config.h
    src/BasicStringFilter.h
    src/CapitalizationFilter.h
    src/ConfirmationHandler.h
    src/ConservativeRenamingFilter.h
    src/EnglishTitleLocalizationHandler.h
    src/InteractiveTagger.h
    src/number_cast.h
    src/RenamingFilter.h
    src/SimpleCapitalizationFilter.h
    src/SpanishTitleLocalizationHandler.h
    src/StandardConsole.h
    src/TitleCapitalizationFilter.h
    src/TitleLocalizationHandler.h
    src/UnixRenamingFilter.h
    src/wide_string_cast.h)

if(CUESHEET_SUPPORT)
    set(BTAG_SOURCES
        ${BTAG_SOURCES}
        src/CueReader.cpp
        src/CueReaderMultiplexer.cpp)
    set(BTAG_HEADERS
        ${BTAG_HEADERS}
        src/CueReader.h
        src/CueReaderMultiplexer.h)
endif(CUESHEET_SUPPORT)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/src
    ${Boost_INCLUDE_DIRS}
    ${LIBCUE_INCLUDE_DIRS}
    ${LIBEDIT_INCLUDE_DIRS}
    ${TAGLIB_INCLUDE_DIRS})

add_executable(btag ${BTAG_SOURCES} ${BTAG_HEADERS})
target_link_libraries(btag
    ${Boost_LIBRARIES}
    ${LIBEDIT_LIBRARIES}
    ${TAGLIB_LIBRARIES}
    ${EXTRA_LIBRARIES})

install(TARGETS btag DESTINATION bin)

option(ENABLE_TESTS "Make the check target available" OFF)
if(ENABLE_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif(ENABLE_TESTS)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-include_directories(${Boost_INCLUDE_DIRS} ${PROJECT_SOURCE_DIR}/src)
+include_directories(
+    ${Boost_INCLUDE_DIRS}
+    ${PROJECT_SOURCE_DIR}/src)
 
 add_executable(
     english_titles_test
@@ -40,4 +42,5 @@
     ${PROJECT_BINARY_DIR}/tests/spanish_titles_test
     ${PROJECT_SOURCE_DIR}/tests/data/spanish_titles.txt)
 
-add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure)
+add_custom_target(check
+    COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure)

=== debian/changelog ===
btag (1.4.1-1) unstable; urgency=medium

  * Orphan the package. (Closes: #1116448)
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/patches/0002-cmake-4.0-compatibility.patch:
    Add patch to fix cmake 4.0 compatibility. (Closes: #1112737)

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Oct 2025 14:51:38 -0400

btag (1.4.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update build-dep package names:
    + pkg-config => pkgconf.
    + libtag1-dev => libtag-dev.
  * Rebuild against taglib 2.0.2.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 19:07:20 -0500

btag (1.4.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/watch: Fix monitoring script.
  * debian/copyright: Updated.
  * debian/: Apply wrap-and-sort -abst.
  * debian/: Refresh packaging:
    + Bump Standards-Version to 4.6.2.
    + Bump debhelper compat to v13.
    + Add missing build-dep libboost-locale-dev, libedit-dev, libcue-dev.
  * debian/control: Fix description typo. (Closes: #743805)
  * debian/control: Add missing build-dep zlib1g-dev (See #997224)
  * debian/patches/0001-Fix-deprecated-funcs-with-Taglib.patch:
    Fix FTBFS with boost1.83. (Closes: #997224) (Closes: #1056092)

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Dec 2023 12:08:56 -0500

=== debian/control ===
Source: btag
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libboost-dev,
 libboost-filesystem-dev,
 libboost-locale-dev,
 libcue-dev,
 libedit-dev,
 libtag-dev,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/fernandotcl/btag
Vcs-Git: https://salsa.debian.org/debian/btag.git
Vcs-Browser: https://salsa.debian.org/debian/btag
Description: interactive command-line based multimedia tag editor
 btag is an interactive utility for tagging multimedia files in batches.
 It tries to automate most of the process by stripping away stray whitespace
 guessing the best capitalization style for the text fields and keeping
 state on the current album being tagged.
 .
 btag can change the capitalization of text fields even when those contain
 non-ASCII characters, relying on the standard library to perform the
 appropriate case conversions. It works on directories containing complete
 albums as well as on individual files.
 .
 All tag formats supported by TagLib should be supported by btag. This
 includes (among others) ID3v1 and ID3v2 tags found in MP3 files, Ogg
 Vorbis comments, ID3 tags and Vorbis comments in FLAC files.

Package: btag
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,13 @@
 # vi: ts=8 sw=8 noet
 
 DPKG_EXPORT_BUILDFLAGS = 1
-DEB_BUILD_MAINT_OPTIONS = "hardening=+pie"
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildflags.mk
+
+# CMake doesn't use CPPFLAGS, so pass them to CFLAGS/CXXFLAGS to enable
+# missing (hardening) flags
+CFLAGS   += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 
 EXTRA_CMAKE_FLAGS =
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/release-@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/fernandotcl/btag/tags?per_page=100 \
 https://api.github.com/repos/fernandotcl/btag/tarball/refs/tags/release-@ANY_VERSION@
